import type { really_any } from '../organization/really_any';
/**
 * Function `asSerializable` will convert values which are not serializable to serializable values
 * It walks deeply through the object and converts all values
 *
 * For example:
 * - `Date` objects will be converted to string
 *
 * Note: There are 2 similar functions
 * - `valueToString` converts value to string for LLM models as human-readable string
 * - `asSerializable` converts value to string to preserve full information to be able to convert it back
 *
 * @private Internal helper function
 */
export declare function asSerializable(value: really_any): really_any;
