import { Promisable } from 'type-fest';
import type { PipelineJson } from '../pipeline/PipelineJson/PipelineJson';
import type { ExecutionTools } from '../execution/ExecutionTools';
import type { PipelineExecutorResult } from '../execution/PipelineExecutorResult';
import type { PipelineString } from '../pipeline/PipelineString';
import type { TaskProgress } from '../types/TaskProgress';
import type { InputParameters } from '../types/typeAliases';
import type { string_filename } from '../types/typeAliases';
import type { string_pipeline_url } from '../types/typeAliases';
/**
 * Look at `wizzard` for more details
 *
 * @private just for single instance
 */
declare class Wizzard {
    /**
     * @@@!!!!!!
     */
    execute(book: string_pipeline_url, inputParameters: InputParameters, onProgress?: (taskProgress: TaskProgress) => Promisable<void>): Promise<PipelineExecutorResult>;
    private executionTools;
    /**
     * @@@!!!
     *
     * @param pipelineSource
     */
    getExecutionTools(): Promise<ExecutionTools>;
    /**
     * TODO: Make standalone function from this exported from node and used here and in `ptbk run`
     * @@@!!!
     *
     * Strategies:
     * 1) @@@!!!
     * 2) @@@!!!
     *
     * @param pipelineSource
     */
    getPipeline(pipelineSource: string_filename | string_pipeline_url | PipelineString): Promise<PipelineJson>;
}
/**
 * 🧙‍♂️ @@@
 *
 * @singleton
 * @public exported from `@promptbook/wizzard`
 */
export declare const wizzard: Wizzard;
export {};
/**
 * TODO: !!!!!! Mark in jsdoc as non-pure
 * TODO: !!!!!! Add to readmes - one markdown here imported in all packages
 * Note: [🟢] Code in this file should never be never released in packages that could be imported into browser environment
 */
